<?xml version="1.0" encoding="ISO-8859-1" ?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<!--
classic: <xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
broken: <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
broken?: <xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/xslt">
-->

<xsl:template match="/">
	<h1>Book Info (XSL WD)</h1>
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="LIBRARY">
	<h1>Library</h1>
	<table border="3">
		<tr bgcolor="#ffeeff">
			<th>
				ISBN
			</th>
			<th>
				Title
			</th>
			<th>
				Copyright
			</th>
		</tr>

		<xsl:apply-templates select="*"/>
			
	</table>
		
	<p></p>
	<p></p>
</xsl:template>

<xsl:template match="BOOK">
	<tr>
		<td>
			 <xsl:value-of select="ISBN"/>
		</td>
		<td>
			 <xsl:value-of select="BOOKTITLE"/>
		</td>
		<td>
			 <xsl:value-of select="COPYRIGHT"/>
		</td>
	</tr>
</xsl:template>


</xsl:stylesheet>
